Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Interface SVGEventProducer

All Superinterfaces:
  EventProducer

    public interface SVGEventProducer

extends EventProducer

Event producer interface for SVG-related events.

Nested Class Summary
`static class` | `SVGEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `alert(java.lang.Object source, java.lang.String message)` Alert during SVG processing.
`void` | `bitmapWithTransparency(java.lang.Object source, java.lang.Object pdfProfile, java.lang.String uri)` SVG references a bitmap image that contains transparency while it is not allowed.
`void` | `error(java.lang.Object source, java.lang.String message, java.lang.Exception e)` Error during SVG processing.
`void` | `info(java.lang.Object source, java.lang.String message)` Info during SVG processing.
`void` | `svgNotBuilt(java.lang.Object source, java.lang.Exception e, java.lang.String uri)` SVG graphic could not be built due to an exception.
`void` | `svgRenderingError(java.lang.Object source, java.lang.Exception e, java.lang.String uri)` SVG graphic could not be rendered due to an exception.
`void` | `transparencyIgnored(java.lang.Object source, java.lang.Object pdfProfile, java.lang.String uri)` Transparency has been ignored due to restrictions from the PDF profile being used.

Method Detail

### error

    void error(java.lang.Object source,
               java.lang.String message,
               java.lang.Exception e)

  Error during SVG processing. Either message or e must be set.

  Parameters:
    `source` - the event source
    `message` - the error message (or null)
    `e` - the exception (or null)
  Event severity level:
    ERROR

### alert

    void alert(java.lang.Object source,
               java.lang.String message)

  Alert during SVG processing.

  Parameters:
    `source` - the event source
    `message` - the error message
  Event severity level:
    WARN

### info

    void info(java.lang.Object source,
              java.lang.String message)

  Info during SVG processing.

  Parameters:
    `source` - the event source
    `message` - the error message
  Event severity level:
    INFO

### svgNotBuilt

    void svgNotBuilt(java.lang.Object source,
                     java.lang.Exception e,
                     java.lang.String uri)

  SVG graphic could not be built due to an exception.

  Parameters:
    `source` - the event source
    `e` - the original exception
    `uri` - the URI of the SVG graphic
  Event severity level:
    ERROR

### svgRenderingError

    void svgRenderingError(java.lang.Object source,
                           java.lang.Exception e,
                           java.lang.String uri)

  SVG graphic could not be rendered due to an exception.

  Parameters:
    `source` - the event source
    `e` - the original exception
    `uri` - the URI of the SVG graphic
  Event severity level:
    ERROR

### transparencyIgnored

    void transparencyIgnored(java.lang.Object source,
                             java.lang.Object pdfProfile,
                             java.lang.String uri)

  Transparency has been ignored due to restrictions from the PDF profile being used.

  Parameters:
    `source` - the event source
    `pdfProfile` - the PDF profile
    `uri` - the image URI, if available
  Event severity level:
    WARN

### bitmapWithTransparency

    void bitmapWithTransparency(java.lang.Object source,
                                java.lang.Object pdfProfile,
                                java.lang.String uri)

  SVG references a bitmap image that contains transparency while it is not allowed.

  Parameters:
    `source` - the event source
    `pdfProfile` - the PDF profile that disallows transparency
    `uri` - the image URI, if available
  Event severity level:
    ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.